Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface ParamNode

All Superinterfaces:
  java.lang.Cloneable, polyglot.util.Copy, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps

All Known Subinterfaces:
  AmbDynamicLabelNode, AmbExprParam, AmbJunctivePrincipalNode, AmbParam, AmbPrincipalNode, AmbThisLabelNode, AmbVarLabelNode, CanonicalLabelNode, CanonicalPrincipalNode, JoinLabelNode, LabelNode, MeetLabelNode, PrincipalNode

All Known Implementing Classes:
  AmbDynamicLabelNode_c, AmbExprParam_c, AmbJunctivePrincipalNode_c, AmbLabelNode_c, AmbParam_c, AmbPrincipalNode_c, AmbThisLabelNode_c, AmbVarLabelNode_c, CanonicalLabelNode_c, CanonicalPrincipalNode_c, JoinLabelNode_c, LabelNode_c, MeetLabelNode_c, PrincipalNode_c

    public interface ParamNode

extends polyglot.ast.Node

This class is the root of all the classes that may be parameters, including label node classes and principal node classes.

Method Summary
`Param` | `parameter()`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Method Detail

### parameter

    Param parameter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD